System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

For more information on printing, see the namespace overview.

Specifies the standard paper sizes.

- Field
  System.Drawing.Printing.PaperKind To be added

  A2 paper (420 mm by 594 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A3 paper (297 mm by 420 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A3 extra paper (322 mm by 445 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A3 extra transverse paper (322 mm by 445 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A3 rotated paper (420 mm by 297 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A3 transverse paper (297 mm by 420 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A4 paper (210 mm by 297 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A4 extra paper (236 mm by 322 mm). This value is specific to the PostScript driver and is used only by Linotronic printers to help save paper.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A4 plus paper (210 mm by 330 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A4 rotated paper (297 mm by 210 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A4 small paper (210 mm by 297 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A4 transverse paper (210 mm by 297 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A5 paper (148 mm by 210 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A5 extra paper (174 mm by 235 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A5 rotated paper (210 mm by 148 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A5 transverse paper (148 mm by 210 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A6 paper (105 mm by 148 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  A6 rotated paper (148 mm by 105 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  SuperA/SuperA/A4 paper (227 mm by 356 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  B4 paper (250 mm by 353 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  B4 envelope (250 mm by 353 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  JIS B4 rotated paper (364 mm by 257 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  B5 paper (176 mm by 250 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  B5 envelope (176 mm by 250 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  ISO B5 extra paper (201 mm by 276 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  JIS B5 rotated paper (257 mm by 182 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  JIS B5 transverse paper (182 mm by 257 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  B6 envelope (176 mm by 125 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  JIS B6 paper (128 mm by 182 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  JIS B6 rotated paper (182 mm by 128 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  SuperB/SuperB/A3 paper (305 mm by 487 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  C3 envelope (324 mm by 458 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  C4 envelope (229 mm by 324 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  C5 envelope (162 mm by 229 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  C65 envelope (114 mm by 229 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  C6 envelope (114 mm by 162 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  C paper (17 in. by 22 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  The paper size is defined by the user.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  DL envelope (110 mm by 220 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  D paper (22 in. by 34 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  E paper (34 in. by 44 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Executive paper (7.25 in. by 10.5 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Folio paper (8.5 in. by 13 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  German legal fanfold (8.5 in. by 13 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  German standard fanfold (8.5 in. by 12 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Invitation envelope (220 mm by 220 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  ISO B4 (250 mm by 353 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Italy envelope (110 mm by 230 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Japanese double postcard (200 mm by 148 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Japanese rotated double postcard (148 mm by 200 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Japanese Chou #3 envelope. Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Japanese rotated Chou #3 envelope. Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Japanese Chou #4 envelope. Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Japanese rotated Chou #4 envelope. Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Japanese Kaku #2 envelope. Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Japanese rotated Kaku #2 envelope. Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Japanese Kaku #3 envelope. Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Japanese rotated Kaku #3 envelope. Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Japanese You #4 envelope. Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Japanese You #4 rotated envelope. Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Japanese postcard (100 mm by 148 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Japanese rotated postcard (148 mm by 100 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Ledger paper (17 in. by 11 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Legal paper (8.5 in. by 14 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Legal extra paper (9.275 in. by 15 in.). This value is specific to the PostScript driver and is used only by Linotronic printers in order to conserve paper.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Letter paper (8.5 in. by 11 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Letter extra paper (9.275 in. by 12 in.). This value is specific to the PostScript driver and is used only by Linotronic printers in order to conserve paper.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Letter extra transverse paper (9.275 in. by 12 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Letter plus paper (8.5 in. by 12.69 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Letter rotated paper (11 in. by 8.5 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Letter small paper (8.5 in. by 11 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Letter transverse paper (8.275 in. by 11 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Monarch envelope (3.875 in. by 7.5 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Note paper (8.5 in. by 11 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  #10 envelope (4.125 in. by 9.5 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  #11 envelope (4.5 in. by 10.375 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  #12 envelope (4.75 in. by 11 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  #14 envelope (5 in. by 11.5 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  #9 envelope (3.875 in. by 8.875 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  6 3/4 envelope (3.625 in. by 6.5 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China 16K paper (146 mm by 215 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China 16K rotated paper (146 mm by 215 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China 32K paper (97 mm by 151 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China 32K big paper (97 mm by 151 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China 32K big rotated paper (97 mm by 151 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China 32K rotated paper (97 mm by 151 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #1 envelope (102 mm by 165 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #10 envelope (324 mm by 458 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #10 rotated envelope (458 mm by 324 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #1 rotated envelope (165 mm by 102 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #2 envelope (102 mm by 176 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #2 rotated envelope (176 mm by 102 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #3 envelope (125 mm by 176 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #3 rotated envelope (176 mm by 125 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #4 envelope (110 mm by 208 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #4 rotated envelope (208 mm by 110 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #5 envelope (110 mm by 220 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China Envelope #5 rotated envelope (220 mm by 110 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #6 envelope (120 mm by 230 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #6 rotated envelope (230 mm by 120 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #7 envelope (160 mm by 230 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #7 rotated envelope (230 mm by 160 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #8 envelope (120 mm by 309 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #8 rotated envelope (309 mm by 120 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #9 envelope (229 mm by 324 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  People's Republic of China #9 rotated envelope (324 mm by 229 mm). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Quarto paper (215 mm by 275 mm).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Standard paper (10 in. by 11 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Standard paper (10 in. by 14 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Standard paper (11 in. by 17 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Standard paper (12 in. by 11 in.). Requires Windows 98, Windows NT 4.0, or later.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Standard paper (15 in. by 11 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Standard paper (9 in. by 11 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Statement paper (5.5 in. by 8.5 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Tabloid paper (11 in. by 17 in.).

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  Tabloid extra paper (11.69 in. by 18 in.). This value is specific to the PostScript driver and is used only by Linotronic printers in order to conserve paper.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Printing.PaperKind To be added

  US standard fanfold (14.875 in. by 11 in.).

  1.0.5000.0
  2.0.0.0